// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Person的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
var Person_PlantNr = grmi.NewField("PlantNr", "Person.PlantNr", "plantnr", grmi.TypeInt)
var Person_PersonNr = grmi.NewField("PersonNr", "Person.PersonNr", "personnr", grmi.TypeInt)
var Person_PersonId = grmi.NewField("PersonId", "Person.PersonId", "personid", grmi.TypeString)
var Person_Name = grmi.NewField("Name", "Person.Name", "name", grmi.TypeString)
var Person_Status = grmi.NewField("Status", "Person.Status", "status", grmi.TypeInt)
var Person_CostCenterId = grmi.NewField("CostCenterId", "Person.CostCenterId", "costcenterid", grmi.TypeString)
var Person_DepartmentId = grmi.NewField("DepartmentId", "Person.DepartmentId", "departmentid", grmi.TypeString)
var Person_SalaryGrpId = grmi.NewField("SalaryGrpId", "Person.SalaryGrpId", "salarygrpid", grmi.TypeString)
var Person_BonusGrpId = grmi.NewField("BonusGrpId", "Person.BonusGrpId", "bonusgrpid", grmi.TypeString)
var Person_EntryDate = grmi.NewField("EntryDate", "Person.EntryDate", "entrydate", grmi.TypeDate)
var Person_BirthDate = grmi.NewField("BirthDate", "Person.BirthDate", "birthdate", grmi.TypeDate)
var Person_PersonIPara1 = grmi.NewField("PersonIPara1", "Person.PersonIPara1", "personipara1", grmi.TypeInt)
var Person_PersonIPara2 = grmi.NewField("PersonIPara2", "Person.PersonIPara2", "personipara2", grmi.TypeInt)
var Person_PersonDPara1 = grmi.NewField("PersonDPara1", "Person.PersonDPara1", "persondpara1", grmi.TypeFloat64)
var Person_PersonDPara2 = grmi.NewField("PersonDPara2", "Person.PersonDPara2", "persondpara2", grmi.TypeFloat64)
var Person_Avatar = grmi.NewField("Avatar", "Person.Avatar", "avatar", grmi.TypeString)
var Person_LastModify = grmi.NewField("LastModify", "Person.LastModify", "lastmodify", grmi.TypeDateTime)
var Person_LastUser = grmi.NewField("LastUser", "Person.LastUser", "lastuser", grmi.TypeString)
var Person_CreateTime = grmi.NewField("CreateTime", "Person.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Person的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
var Person = grmi.NewEntity(
	"Person",
	func() interface{} { return &model.Person{} },
	map[string]grmi.Field{
		Person_PlantNr.Name:      Person_PlantNr,
		Person_PersonNr.Name:     Person_PersonNr,
		Person_PersonId.Name:     Person_PersonId,
		Person_Name.Name:         Person_Name,
		Person_Status.Name:       Person_Status,
		Person_CostCenterId.Name: Person_CostCenterId,
		Person_DepartmentId.Name: Person_DepartmentId,
		Person_SalaryGrpId.Name:  Person_SalaryGrpId,
		Person_BonusGrpId.Name:   Person_BonusGrpId,
		Person_EntryDate.Name:    Person_EntryDate,
		Person_BirthDate.Name:    Person_BirthDate,
		Person_PersonIPara1.Name: Person_PersonIPara1,
		Person_PersonIPara2.Name: Person_PersonIPara2,
		Person_PersonDPara1.Name: Person_PersonDPara1,
		Person_PersonDPara2.Name: Person_PersonDPara2,
		Person_Avatar.Name:       Person_Avatar,
		Person_LastModify.Name:   Person_LastModify,
		Person_LastUser.Name:     Person_LastUser,
		Person_CreateTime.Name:   Person_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PersonId", "Name", "Status", "CostCenterId", "DepartmentId", "SalaryGrpId", "BonusGrpId", "EntryDate", "BirthDate", "PersonIPara1", "PersonIPara2", "PersonDPara1", "PersonDPara2", "Avatar", "LastUser"})
